<!doctype html>
<html lang="pt-BR">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <base href="/bibliotecas/wc/govbr-ds-wc-quickstart-js/" />
    <title>Web Components GovBR-DS - Quickstart JS</title>
    <link rel="icon" type="image/x-icon" href="./src/assets/logo-js.png" />
    <link
      rel="stylesheet"
      href="https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/fonts/rawline/css/rawline.css"
    />
    <link
      rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Raleway:300,400,500,600,700,800,900&amp;display=swap"
    />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" />
    <link rel="stylesheet" href="./node_modules/@govbr-ds/core/dist/core.min.css" />
  </head>

  <body>
    <div class="template-base">
      <br-header
        alt="Logo de exemplo"
        container-fluid="true"
        has-menu
        has-title-link="true"
        id="header"
        image="/bibliotecas/wc/govbr-ds-wc-quickstart-js/src/assets/logo-js.png"
        signature="Padrão Digital de Governo"
        title-link-url="/bibliotecas/wc/govbr-ds-wc-quickstart-js/"
        title="Web Components GovBR-DS - Quickstart JS"
      >
        <div slot="headerMenu">
          <br-button
            role="option"
            circle
            density="small"
            aria-label="Menu"
            icon="bars"
            data-toggle="menu"
            data-target="#main-navigation"
          ></br-button>
        </div>
        <br-header-action
          slot="headerAction"
          title-links="Bibliotecas de componentes"
          list-links="[
                        {
                          name: 'Web Components',
                          href: 'https://www.gov.br/ds/webcomponents',
                          title: 'Web Components',
                          target: '_blank',
                        },
                        {
                          name: 'Padrão Digital de Governo',
                          href: 'https://gov.br/ds',
                          title: 'Padrão Digital de Governo',
                          target: '_blank',
                        },
                      ]"
          title-functions="Links relacionados"
          list-functions="[
                            {
                              icon: 'code',
                              name: 'Repositórios de Web Components',
                              url: 'https://gitlab.com/govbr-ds/bibliotecas/wc',
                              tooltipText: 'Contribua com os projetos de Web Components',
                              tooltipPlace: 'bottom',
                            },
                            {
                              icon: 'discord',
                              iconFamily: 'fab',
                              name: 'Discord',
                              url: 'https://discord.gg/U5GwPfqhUP',
                              tooltipText: 'Faça parte da nossa comunidade no discord',
                              tooltipPlace: 'bottom',
                            },
                            {
                              icon: 'book',
                              name: 'Wiki',
                              url: 'https://gov.br/ds/wiki/',
                              tooltipText: 'Conheça nossa Wiki',
                              tooltipPlace: 'bottom',
                            },
                          ]"
        ></br-header-action>
      </br-header>
      <main class="d-flex flex-fill mb-5" id="main">
        <div class="container-fluid">
          <div class="row">
            <div class="col-sm-4 col-lg-3">
              <br-menu
                id="main-navigation"
                data-breakpoints="col-sm-4 col-lg-3"
                is-push
                show-menu
                list="[
                {
                  'id': '1',
                  'icon': 'home',
                  'name': 'Página Inicial',
                  'url': '/bibliotecas/wc/govbr-ds-wc-quickstart-js/'
                },{
                  'id': '3',
                  'icon': 'users-cog',
                  'name': 'Formulário',
                  'url': '/bibliotecas/wc/govbr-ds-wc-quickstart-js/src/formulario.html'
                },
                {
                  'id': 3,
                  'icon': 'sign-in-alt',
                  'name': 'Sign-In',
                  'url': '/bibliotecas/wc/govbr-ds-wc-quickstart-js/src/sign-in.html'
                },
                {
                  'id': 4,
                  'icon': 'cookie',
                  'name': 'Cookiebar',
                  'url': '/bibliotecas/wc/govbr-ds-wc-quickstart-js/src/cookiebar.html'
                }
              ]"
              ></br-menu>
            </div>
            <div class="col mb-5">
              <br-breadcrumb
                label="Breadcrumb"
                links="[{
                label: 'Página Inicial',
                url: '/bibliotecas/wc/govbr-ds-wc-quickstart-js/',
                home: true
              },
              {
                label: 'Formulário',
                url: '/bibliotecas/wc/govbr-ds-wc-quickstart-js/src/formulario.html',
                active: true
              }]"
              ></br-breadcrumb>
              <div class="main-content pl-sm-3 mt-4" id="main-content">
                <br-message id="message" state="" closable style="display: none"></br-message>
                <h1>Usuários</h1>
                <h2>Cadastrar Usuário</h2>
                <form id="form-cadastro">
                  <div class="mb-3">
                    <br-input type="text" id="name" placeholder="Nome" label="Nome:"></br-input>
                    <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                  </div>
                  <div class="mb-3">
                    <div class="row">
                      <div class="col">
                        <br-input type="email" id="email" placeholder="Email" label="Email:"></br-input>
                        <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                      </div>
                      <div class="col">
                        <br-input
                          type="text"
                          id="mobile"
                          placeholder="Ex: (99) 99999-9999"
                          label="Telefone Celular:"
                          mask="(##) #####-####"
                        ></br-input>
                        <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                      </div>
                    </div>
                  </div>
                  <div class="mb-3">
                    <div class="row">
                      <div class="col">
                        <br-input
                          type="password"
                          id="password"
                          placeholder="Senha"
                          label="Senha:"
                          ispassword
                        ></br-input>
                        <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                      </div>
                      <div class="col">
                        <br-input id="rg" placeholder="RG" label="RG:"></br-input>
                        <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                      </div>
                    </div>
                  </div>
                  <div class="mb-3">
                    <div class="row">
                      <div class="col">
                        <br-input
                          type="text"
                          id="cpf"
                          placeholder="Ex: 999.999.999-99"
                          label="CPF:"
                          mask="###.###.###-##"
                        ></br-input>
                        <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                      </div>
                      <div class="col">
                        <br-input
                          type="text"
                          id="birthDate"
                          placeholder="Ex: DD/MM/AAAA"
                          label="Data de nascimento:"
                          mask="##/##/####"
                        ></br-input>
                        <br-message feedback state="danger" show-icon="true" style="display: none"></br-message>
                      </div>
                    </div>
                  </div>
                  <div class="mb-3">
                    <div class="row">
                      <div class="col">
                        <br-input
                          type="text"
                          id="address"
                          placeholder="Endereço"
                          label="Endereço (Opcional)"
                        ></br-input>
                      </div>
                      <div class="col">
                        <br-input
                          type="text"
                          id="cep"
                          placeholder="Ex: 99999-999"
                          label="CEP (Opcional) "
                          mask="#####-###"
                        ></br-input>
                      </div>
                    </div>
                  </div>
                  <div class="mb-3 d-flex justify-content-lg-end">
                    <br-button class="mr-1" label="Enviar Formulário" id="enviar" type="primary"></br-button>
                  </div>
                </form>
                <div id="user-list-placeholder"></div>
              </div>
            </div>
          </div>
        </div>
      </main>
      <br-footer
        text="Todo o conteúdo deste site está publicado sob a licença MIT"
        logo="{
                url: 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-negative.png',
                description: 'Logo de exemplo'
              }"
        id="footer"
        container-fluid="true"
      ></br-footer>
    </div>

    <script src="./node_modules/@govbr-ds/webcomponents/dist/webcomponents.umd.min.js"></script>
    <script src="./src/formulario.js"></script>
  </body>
</html>
